- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members
ErasableBpGraphComponent< BAS > Class Template Reference

## Detailed Description

### template<typename BAS = BaseBpGraphComponent>
class lemon::concepts::ErasableBpGraphComponent< BAS >

This class describes the interface of erasable undirected bipartite graphs. It extends BaseBpGraphComponent with functions for removing nodes and edges from the graph. This concept requires AlterableBpGraphComponent.

`#include <lemon/concepts/graph_components.h>`

Inheritance diagram for ErasableBpGraphComponent< BAS >:
[legend]

## Additional Inherited Members
Public Member Functions inherited from ErasableGraphComponent< BAS >
void | erase (const Node &)
| Erase a node from the graph. More...
void | erase (const Edge &)
| Erase an edge from the digraph. More...